smart stört sich an Bildern für Update

12/08/2008 - 20:17 von Markus Grob | Report spam
Hallo

Wollte KDE updaten, doch Smart stört sich dabei an Bilder. Kann man dies
irgendwie abstellen? es kann ja nicht sein, dass man deswegen nicht
updaten kann:

Das Problem dabei ist, dass ich etwa unter yast diese Bilder nicht
einmal finde bei der Suche in den Paketen.

file /usr/share/kde4/apps/desktoptheme/Aya/metadata.desktop conflicts
between attempted installs of plasma-theme-aya-1.3-3.13 and
kde4-plasma-addons-4.1.60-3.5
file /usr/share/wallpapers/default_blue.jpg.desktop conflicts between
attempted installs of kde4-kdm-4.1.60-5.7 and kdebase3-3.5.9-104.1
file /usr/share/kde4/apps/kdm/pics/users/default1.png conflicts between
attempted installs of kde4-kdm-branding-openSUSE-11.1-21.9 and
kde4-kdm-4.1.60-5.7
file /usr/share/kde4/apps/kdm/pics/users/root1.png conflicts between
attempted installs of kde4-kdm-branding-openSUSE-11.1-21.9 and
kde4-kdm-4.1.60-5.7
file /usr/share/kde4/apps/kdm/pics/users/default1.png conflicts between
attempted installs of kde4-kdm-branding-upstream-4.1.60-5.7 and
kde4-kdm-branding-openSUSE-11.1-21.9
file /usr/share/kde4/apps/kdm/pics/users/root1.png conflicts between
attempted installs of kde4-kdm-branding-upstream-4.1.60-5.7 and
kde4-kdm-branding-openSUSE-11.1-21.9

Gruss, Markus, Opensuse 10.3 verwendend

Auch ich bin ein KDE4 Nutzer... Du auch?

Hilf mit, KDE zu verbessern, indem Du testest und Fehler meldest.

*** http://bugs.kde.org/ ***
 

Lesen sie die antworten

#1 arkascha
13/08/2008 - 08:40 | Warnen spam
Markus Grob wrote:

Hallo

Wollte KDE updaten, doch Smart stört sich dabei an Bilder. Kann man dies
irgendwie abstellen? es kann ja nicht sein, dass man deswegen nicht
updaten kann:

Das Problem dabei ist, dass ich etwa unter yast diese Bilder nicht
einmal finde bei der Suche in den Paketen.

file /usr/share/kde4/apps/desktoptheme/Aya/metadata.desktop conflicts
between attempted installs of plasma-theme-aya-1.3-3.13 and
kde4-plasma-addons-4.1.60-3.5
file /usr/share/wallpapers/default_blue.jpg.desktop conflicts between
attempted installs of kde4-kdm-4.1.60-5.7 and kdebase3-3.5.9-104.1
file /usr/share/kde4/apps/kdm/pics/users/default1.png conflicts between
attempted installs of kde4-kdm-branding-openSUSE-11.1-21.9 and
kde4-kdm-4.1.60-5.7
file /usr/share/kde4/apps/kdm/pics/users/root1.png conflicts between
attempted installs of kde4-kdm-branding-openSUSE-11.1-21.9 and
kde4-kdm-4.1.60-5.7
file /usr/share/kde4/apps/kdm/pics/users/default1.png conflicts between
attempted installs of kde4-kdm-branding-upstream-4.1.60-5.7 and
kde4-kdm-branding-openSUSE-11.1-21.9
file /usr/share/kde4/apps/kdm/pics/users/root1.png conflicts between
attempted installs of kde4-kdm-branding-upstream-4.1.60-5.7 and
kde4-kdm-branding-openSUSE-11.1-21.9

Gruss, Markus, Opensuse 10.3 verwendend



Was Du siehst ist genau der Konflikt, den aufzudecken einer der Zwecke einer
Softwareverwaltung ist. smart verweigert zunàchst zurecht die Installation,
da dieser Konflikt Dateien eines installierten Paketes einfach
überschreiben würde. In diesem Fall ist der Konflikt auch recht einfach
einsichtig.
Du kannst entweder bei Upgrade das den Konflikt aufwerfende Paket
deselekieren, dann wird der Rest "upgegradet".
Alternativ kannst du Dich entscheiden, die Warnung von smart "in den Wind"
zu schreiben (hier sogar vertretbaar, da es sich bei den Bildern sehr
wahrscheinlich um die gleichen handelt. Einzig die Datei metadata.desktop
sollte man auf etwaige Differenzen untersuchen... In dem Fall bràt man das
Paket per brute-force über das andere. Einen Button gibt es dazu in smart
nicht (warum eigentlich nicht?). Alternativ das Paket einzeln herunterladen
und per rpm installieren oder die smart-Shell verwenden ("smart -shell"),
dort gibt es eine 'force'-Option.

arkascha

Ähnliche fragen